【Minecraft】MOD製作者に朗報。 MODをバージョン 1.8 に対応させていれば、その後のバージョン 1.9への対応が容易になるみたいだ ~ まいんくらふとにっき

【Minecraft】MOD製作者に朗報。 MODをバージョン 1.8 に対応させていれば、その後のバージョン 1.9への対応が容易になるみたいだ

Searge
「バージョン 1.8 からバージョン 1.9 へのMODの対応が容易になるよう
 内部的な変更は少なめで抑えつつ、1.9 の新要素を追加していくつもりです」




Searge
「それが何を意味するかというと
 今あなたが MODをバージョン 1.8 に対応させる または 1.8 のMODをリリースしたとしても
 そのMODをまた 1.9 に対応させるのは容易なので、『無駄骨』ではないということです」




ということらしいので、MOD製作者の皆様は
今のうちにバージョン 1.8 へとじゃんじゃん対応させちゃいましょう




このエントリーをはてなブックマークに追加
じゃりじゃり対応させよう
[ 19082 : 2015/04/27 20:13 ] [ 編集 ]
めちゃくちゃいいんじゃないかこれ
[ 19084 : 2015/04/27 20:38 ] [ 編集 ]
ゲーム製作者がmod製作者に気を使うってのも何かすごい話だな
[ 19085 : 2015/04/27 20:41 ] [ 編集 ]
労力0で拡張パック作ってくれてるようなもんだしな
[ 19086 : 2015/04/27 20:49 ] [ 編集 ]
1.8以降は対応が難しいのか、1.7.10以前までの対応でバージョンアップ止まってるMOD結構多い気がするから、こういう助け舟は懸命な判断だと思う
[ 19087 : 2015/04/27 21:08 ] [ 編集 ]
なんで難読化するんだろうな
MOD制作で最初に引っかかるのがそこらしいけど
[ 19088 : 2015/04/27 21:45 ] [ 編集 ]
それでスナップショットは...
[ 19089 : 2015/04/27 21:52 ] [ 編集 ]
ばあさんやModAPIはまだかのぅ
[ 19090 : 2015/04/27 22:45 ] [ 編集 ]
1.9に移るのは容易になるが1.8に移るのが容易とは言っていない
[ 19091 : 2015/04/27 23:25 ] [ 編集 ]
1.7.10でとまってるの多いよな、mod製作のあれこれはわからないけど、製作陣も1.8でmodが下火になってるのを気にしてたのかね。
modの有無でアクティブなユーザー数がどれほど変動するんだろうか、モヤンはアカウントサーバーへのアクセスである程度把握してたりするのかな。
[ 19096 : 2015/04/28 01:38 ] [ 編集 ]
こういう発言するならもうちょっとMODを作りやすい環境をですね
[ 19097 : 2015/04/28 05:25 ] [ 編集 ]
1.8の壁を超えれば1.9の製作は楽ってことか。
[ 19098 : 2015/04/28 07:11 ] [ 編集 ]
1.9のリリースではMOD対応してくれるんかもしれんが、次の2.0?1.10?のリリースでは対応してくれる保証がないんだよなぁ。まあそれでも個人的には嬉しいけどね。
[ 19099 : 2015/04/28 07:33 ] [ 編集 ]
ということは、もう革命的アップデートは起きないということなのかな…
[ 19100 : 2015/04/28 07:46 ] [ 編集 ]
MCヘリの作者が1.8ではmodを潰しに来ていると言っていたし、1.7.10の更新を優先させる方針で行くといってたな。
もうすぐ1.7.10永住勢とか出て来そうだな。
[ 19101 : 2015/04/28 08:01 ] [ 編集 ]
スナップショットはよ
[ 19102 : 2015/04/28 09:56 ] [ 編集 ]
MODったって現状Forgeがなければ何もできない状況なのに。
もしかしたら、Forge公式採用が来るのか・・。
[ 19103 : 2015/04/28 10:27 ] [ 編集 ]
>>ということは、もう革命的アップデートは起きないということなのかな…


>>バージョン 1.8 からバージョン 1.9 へのMODの対応が容易になるよう

1.8から1.9への

だから心配すんな(ここまでずっと震え声)
[ 19104 : 2015/04/28 11:58 ] [ 編集 ]
>なんで難読化するんだろうな

>こういう発言するならもうちょっとMODを作りやすい環境をですね

MOD作りやすくするために本体の効率最適化をしなかったら本末転倒でしょ
バニラはバニラで最適な状態に保つ必要があるんだから
[ 19105 : 2015/04/28 15:52 ] [ 編集 ]
まあぶっちゃけOptifineは早く内蔵しろと言いたいけど
[ 19106 : 2015/04/28 15:54 ] [ 編集 ]
開発者がMOD製作者に気を使ってるってすごいなおい。
[ 19109 : 2015/04/28 18:45 ] [ 編集 ]
MODAPIの実装?おう考えてやるよ(実装するとは言ってない)
状態だった頃からこれと考えるとこれもうわかんねぇな
[ 19110 : 2015/04/28 19:57 ] [ 編集 ]
ガラパゴスゲーム機ばかりの日本が遅れてるだけだよ
[ 19111 : 2015/04/28 23:08 ] [ 編集 ]
なんで急に地域の特色の話になるんですかねぇ?
[ 19112 : 2015/04/29 05:15 ] [ 編集 ]
もやん側がForgeみたいなapiを作りゃええんちゃうん
[ 19113 : 2015/04/29 07:45 ] [ 編集 ]
和製MODや和製テクスチャはバージョン対応が何か遅いんだよなぁ
もっとサクッと対応しろや
[ 19114 : 2015/04/29 08:02 ] [ 編集 ]
1.7.10永住者です
[ 19115 : 2015/04/29 10:21 ] [ 編集 ]
竊鯛?
譛?霑台サ墓ァ倥′縺薙m縺薙m繧ウ繝ュ繧ウ繝ュ螟峨o縺」縺ヲ繧九@縲∫音縺ォ1.8縺ッ霑ス蜉?隕∫エ?螟壹¥縺ヲ縺昴?蛻?、画峩縺輔l縺溷?驛ィ繝??繧ソ縺悟、壹¥縺ェ縺」縺ヲ繧九□繧阪≧縺九i縲`OD蟇セ蠢憺≦繧後※縺?k縺ョ縺ッ險ア縺励◆縺偵※縲?
[ 19122 : 2015/04/29 19:42 ] [ 編集 ]
文字列に砂利が含まれてないやり直し
ただ1.10以降で赤石とかホッパーみたいにMOD吸収はやってほしいなぁ
[ 19133 : 2015/04/29 22:16 ] [ 編集 ]
未だに1.5とかのmodもあるしなあ…
これでいろんなmodが1.8に対応すればいいな
[ 19191 : 2015/05/02 19:14 ] [ 編集 ]
ジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえジャリネタつまんねえ
[ 19387 : 2015/05/09 11:27 ] [ 編集 ]
リトルメイド1.8はよ
[ 19404 : 2015/05/10 13:56 ] [ 編集 ]
砂利アンチが必死に太字で必死になっててワロタ
[ 19409 : 2015/05/11 00:41 ] [ 編集 ]
シャリネタ?(難視)
寿司か何か?
[ 19412 : 2015/05/11 16:27 ] [ 編集 ]
うーん、「容易」とは言ってるがそのまま使えるわけではないんだな、残念。

数々の有名なMODだって1.8以降に対応させてるものも少ない。そりゃーMODを1.6から1.7へ移行させるのだって、ほぼ1から組み直さなきゃいけないくらい大変な作業らしいのに、1.8はさらに難解と来たもんだwww

言っちゃ悪いが半分はMODで成り立ってるようなゲームなんだし、1.9なんか眼中にないユーザーも割と多いのでは??

俺は1.8以降にする気が一切おきない。MOD作るのもどうせなら1.7.10で作るかな。
[ 19690 : 2015/05/24 09:41 ] [ 編集 ]
私は実際に対応しましたが、1.8ではアイテムやブロックのモデルをリソースパックで変更できるようになった代償として、MODでアイテムやブロックの追加が非常に難解になってるんですよね、理解すれば問題ないけど理解までに時間が掛かる…
1.6→1.7はもっと内部の方でチョコチョコ変わってるけど、1.7→1.8に比べればマイナーチェンジに近い
[ 26097 : 2016/03/18 22:42 ] [ 編集 ]
1.8がゴミなんだよなぁ(震え声)
[ 26098 : 2016/03/18 22:56 ] [ 編集 ]
1.9リリースされたがもう一か月もしないで1.9版Forgeリリースされたぞ。
しかも「Biomes O' Plenty」の1.9版まで出てるという・・。
MODの移植が容易ってのはあながち嘘ではなかったな。
[ 26118 : 2016/03/20 12:44 ] [ 編集 ]
コメントの投稿












管理者にだけ表示を許可する
トラックバック
この記事のトラックバックURL